lazarus (3.6+dfsg1-2) unstable; urgency=medium

  * Copyright fix
  * Remove the dot from the icon names  (Closes: #1075761)

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 16 Oct 2024 11:49:03 +0100

lazarus (3.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.6+dfsg1
  * Drop patch adopted upstream
  * Drop as-needed from d/rules
  * Add myself to Uploaders

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 08 Oct 2024 09:56:34 +0100

lazarus (3.4+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Remove duplicate license files
  * Add Lintian overrides
  * Copyright fixes

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 29 Sep 2024 11:53:45 +0100

lazarus (3.4+dfsg1-1) unstable; urgency=medium

  * Team upload
  * Fix Salsa CI (undefine RELEASE variable)
  * New upstream version
  * Standards 4.7.0   compat 13
  * Update lintian overrides
  * Add myself to d/copyright
  * Drop patch adopted upstream
  * Add d/lazarus-src-3.4.preinst
  * Patch broken jitclasses.lpk build

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 03 Sep 2024 11:31:08 +0100

lazarus (3.0+dfsg1-8~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 14 Feb 2024 22:43:27 +0100

lazarus (3.0+dfsg1-8) unstable; urgency=medium

  * Back ported upstream fix to packages recompilation issue.
    This fixed recompilation of packages but also of IDE.
  * Included all IDE packages into lcl-units. (Closes: Bug#1061034)
  * Fixed retrieval of list of diverted files upon post removal operation.
    Also removed any file left from any removed old versions when old script
    fails. (Closes: Bug#1060189)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 11 Feb 2024 22:43:10 +0100

lazarus (3.0+dfsg1-7) unstable; urgency=medium

  * Fixed recompilation of custom IDE.
    When recompiling packages, they are stored into user directory.
    When recompiling IDE, both system wide and user custom units where
    passed to the compiler and it resulted in PPU loading errors due to
    same unit may be found twice. This patch workarounds this issue even
    if the right solution may be to try to avoid getting duplicated
    units. However this may be difficult to achieve. (Closes: Bug#1060273)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 29 Jan 2024 18:54:56 +0100

lazarus (3.0+dfsg1-6~bpo12+1) bookworm-backports; urgency=medium

  [ Mazen Neifer ]
  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 27 Jan 2024 21:27:43 +0100

lazarus (3.0+dfsg1-6) unstable; urgency=medium

  * Excluded gitlab configuration file when importing upstream sources.
  * Packages IdeConfig packages into lcl-units.
    (Closes: Bug#1061009, Bug#1060995, Bug#1060932)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 21 Jan 2024 12:54:32 +0100

lazarus (3.0+dfsg1-5~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 03 Jan 2024 20:29:31 +0100

lazarus (3.0+dfsg1-5) unstable; urgency=medium

  * Updated debian/copyright file to fix some lintian warnings.
  * Remove legacy lintian override.
  * Replaced instantfpc by ifpc.
  * Removed M-A: same from packages that are A: any but not yet M-A ready.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 01 Jan 2024 19:40:15 +0100

lazarus (3.0+dfsg1-4) unstable; urgency=medium

  * Fixed arch and multi-arch tags for libraries metapackages.
    Libraries metapackages need to be of arch any and munti-arch same.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: Bug#1059376)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 26 Dec 2023 22:20:56 +0100

lazarus (3.0+dfsg1-3) unstable; urgency=medium

  * Updated list of packages which compilation is expected to fail.
  * Fixed crash when trying to recompile packages.
    Some packages do not need to be recompiled. There was a bug in lazbuild
    when trying to guess package output directory in this special case.
    Now, we just skip recompilation if it is not needed.
    Updated also timestamps file.
  * Bumped standard version to 4.6.2.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 25 Dec 2023 22:31:55 +0100

lazarus (3.0+dfsg1-2) unstable; urgency=medium

  * Fixed debian/control file for new major version.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 24 Dec 2023 08:32:33 +0100

lazarus (3.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0+dfsg1

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 22 Dec 2023 12:22:04 +0100

lazarus (3.0~rc2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0~rc2+dfsg1
  * Updated patch files and removed patch already integrated by upstream.
    Updated also timestamps file.
  * Updated build dependencies.
  * Removed references to legacy image file laztitle.png.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 22 Dec 2023 11:25:53 +0100

lazarus (2.2.6+dfsg2-2) unstable; urgency=medium

  * Fixed lcl docs installation path. (Closes: Bug#1036293)
  * Tried removin Lintian error about unknown file in debian/source folder.
    Thanks to Peter Blackman <peter@pblackman.plus.com>
  * Removed overrides for Lintian warnings that were fixed by upstream.
  * Updated debian/copyright file with moved and removed files.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 20 May 2023 14:29:04 +0200

lazarus (2.2.6+dfsg2-1) unstable; urgency=medium

  * Cleaned sources repackaging removing unused Windows help files.
    This is supposed to fix a lintian error complaining about them.
  * New upstream version 2.2.6+dfsg2

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 30 Apr 2023 15:46:27 +0200

lazarus (2.2.6+dfsg1-2) unstable; urgency=medium

  * Fixed compilation of test suite on armel.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 01 Apr 2023 19:28:43 +0200

lazarus (2.2.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.2.6+dfsg1
  * Updated patches list removing patch already integrated by upstream.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 31 Mar 2023 19:51:15 +0200

lazarus (2.2.4+dfsg1-3) unstable; urgency=medium

  * Remove binary NMU number from revision.inc to avoid useless warning.
    (Closes: Bug#1032350)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 25 Mar 2023 12:11:51 +0100

lazarus (2.2.4+dfsg1-2) unstable; urgency=medium

  * New upstream version 2.2.4+dfsg1 to unstable.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 21 Nov 2022 14:22:41 +0100

lazarus (2.2.4+dfsg1-1) bullseye-backports; urgency=medium

  * New upstream version 2.2.4+dfsg1
  * Updated patches list removing patch already integrated by upstream.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Nov 2022 12:54:34 +0100

lazarus (2.2.2+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 05 Sep 2022 09:57:24 +0200

lazarus (2.2.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.2.2+dfsg1
  * Updated patches list removing patch already integrated by upstream.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 28 Aug 2022 18:50:36 +0200

lazarus (2.2.0+dfsg1-7) unstable; urgency=medium

  * Team upload
  * Filter -ffat-lto-objects from LDFLAGS to avoid
    '-f may not be used without -shared' link error
    (Closes: #1015468)

 -- Graham Inggs <ginggs@debian.org>  Sat, 20 Aug 2022 17:28:02 +0000

lazarus (2.2.0+dfsg1-6) unstable; urgency=medium

  * Avoid surprises on localized systems when retrieving diverted files list.
    (Closes: Bug#1004982)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 13 Mar 2022 18:41:04 +0100

lazarus (2.2.0+dfsg1-5~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 02 Feb 2022 10:19:24 +0100

lazarus (2.2.0+dfsg1-5) unstable; urgency=medium

  * Fixed typo in CI tests shell script. (Closes: Bug#1004561)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 30 Jan 2022 22:08:18 +0100

lazarus (2.2.0+dfsg1-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 29 Jan 2022 20:28:12 +0100

lazarus (2.2.0+dfsg1-4) unstable; urgency=medium

  * Disabled some tests know to fail on powerpc64le on that architecture.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 29 Jan 2022 20:18:03 +0100

lazarus (2.2.0+dfsg1-3) unstable; urgency=medium

  * Added missing source file to prevent error upon CI tests.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 28 Jan 2022 10:55:10 +0100

lazarus (2.2.0+dfsg1-2) unstable; urgency=medium

  * Added display of list of successful continuous integration tests.
  * Updated list of expected failures by dropping newly successful CI tests.
  * Fixed FTBFS on mipsel architecture.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 26 Jan 2022 11:02:46 +0100

lazarus (2.2.0+dfsg1-1) unstable; urgency=medium

  * Fixed importing original sources while discarding non free files.
  * New packaging version 2.2.0+dfsg1 for upstream version 2.2.0.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 23 Jan 2022 12:01:03 +0100

lazarus (2.2.0+dfsg-3) unstable; urgency=medium

  * Updated control file for new Lazarus version (2.2.0).

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 17 Jan 2022 21:00:38 +0100

lazarus (2.2.0+dfsg-2) unstable; urgency=medium

  * Fixed allowing arbitrary FPPKG path.
  * Added FPC possible paths in Debian to search path list.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 16 Jan 2022 16:19:08 +0100

lazarus (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg
  * Updated patches to fit new upstream changes.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 14 Jan 2022 23:35:32 +0100

lazarus (2.0.12+dfsg-6) unstable; urgency=medium

  * Install Lazarus IDE with same widget set related units.
    People pulling arch all (lazarus-ide-qt5) will get lcl-qt5 installed
    automatically.
    People who want to install only IDE de to low disk space, will need to
    install arch specific package (lazarus-ide-qt5-2.0) rather than arch all
    one. (Closes: Bug#991704)
  * Fixed Lintian warnings about BSD license.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 07 Dec 2021 10:44:34 +0100

lazarus (2.0.12+dfsg-5) unstable; urgency=medium

  * Added wrongly removed lazfpreportdesign.lpk to expected failures list.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Dec 2021 11:09:41 +0100

lazarus (2.0.12+dfsg-4) unstable; urgency=medium

  * Updated expected failures in test suite.
    Removed tests that are now passing from expected failures.
    Added fpvectorialpkg.lpk to expected failures list due to a bug in FPC
    code generator on ppc64el.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 04 Dec 2021 20:07:14 +0100

lazarus (2.0.12+dfsg-3) unstable; urgency=medium

  * Ensure no diversion is left after removal or upgrade. (Closes: Bug#990224)
  * Removed flaky flag on tests.
  * Fix unexpected failure building IDE inspector package test.
    (Closes: Bug#956956)
  * Updated time stamp for package IdeInspector.
  * Fixed typos introduced in 5141e596467ce187e707bffa704d00e0f8a0f6c4.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 28 Nov 2021 16:43:45 +0100

lazarus (2.0.12+dfsg-2) unstable; urgency=medium

  * Update changelog for 3.2.2+dfsg-2 release

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 27 Oct 2021 10:50:59 +0200

lazarus (2.0.12+dfsg-1) experimental; urgency=low

  [ Adrian Bunk ]
  * Stop disabling qt5 on mips{,64}el

  [ Abou Al Montacir ]
  * New upstream version 2.0.12+dfsg
  * Updated patches with regards to issues that were fixed in new release.
  * Updated reference time.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 13 Jun 2021 15:46:08 +0200

lazarus (2.0.10+dfsg-4) unstable; urgency=medium

  * Team upload
  * Add Breaks and Replaces for moved file codetools/fpc.errore.msg
    (Closes: #970889)

 -- Graham Inggs <ginggs@debian.org>  Mon, 28 Sep 2020 14:07:21 +0000

lazarus (2.0.10+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Frédéric Bonnard ]
  * Disable pie build on ppc64el (Closes: #970014)
  * Use dwarf debug info type (-gw) for components/chmhelp/lhelp

  [  Pino Toscano ]
  * Drop menu file and its pixmap, as lazarus already
    provides a .desktop file
  * Remove imagemagick build dependency, no longer needed

  [ Graham Inggs ]
  * Ship codetools/fpc.errore.msg in lcl-units-2.0 instead
    of lazarus-src-2.0
  * Build lcl-qt5 and lazarus-ide-qt5 on ppc64 and ppc64el
  * Disable pie build on ppc64 as well

 -- Graham Inggs <ginggs@debian.org>  Thu, 24 Sep 2020 12:05:52 +0000

lazarus (2.0.10+dfsg-2) unstable; urgency=medium

  * Fix compilation of PascalScript for armel and m68k.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Aug 2020 17:40:48 +0200

lazarus (2.0.10+dfsg-1) experimental; urgency=medium

  [ Paul Gevers ]
  * New upstream version 2.0.10+dfsg
  * Refresh d/s/timestamps for new upstream release

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 03 Aug 2020 12:20:02 +0200

lazarus (2.0.8+dfsg-2~exp) experimental; urgency=medium

  * Upload to experimental to try out building with the fresh fpc

 -- Paul Gevers <elbrus@debian.org>  Thu, 25 Jun 2020 09:05:12 +0200

lazarus (2.0.8+dfsg-1) unstable; urgency=medium

  [ Paul Gevers ]
  * [tests] mark flaky until we really find the root cause of #943600

  [ Abou Al Montacir ]
  * New upstream version 2.0.8+dfsg

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Apr 2020 17:51:06 +0200

lazarus (2.0.6+dfsg-3) unstable; urgency=medium

  * Limit number of processor within LPK build test to avoid crash.
    (Closes: Bug#943600)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 15 Dec 2019 12:16:47 +0100

lazarus (2.0.6+dfsg-2) unstable; urgency=medium

  * Fixed diversion issue when upgrading from a different upstream release.
    (Closes: Bug#944426)
  * Fixed crash in lazbuild avoiding to deference freed class instance.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 16 Nov 2019 11:03:27 +0100

lazarus (2.0.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.0.6+dfsg
  * Removed patches that are already accepted by upstream.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 02 Nov 2019 17:59:18 +0100

lazarus (2.0.2+dfsg-7) unstable; urgency=medium

  * Fixed version upon upgrade to create files diversion for lpk files.
    (Closes: Bug#942768)
  * Fixed logic to remove diversion of lpk files as per policy requirements.
  * Bumped standard version to 4.4.1.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 24 Oct 2019 23:33:59 +0200

lazarus (2.0.2+dfsg-6) unstable; urgency=medium

  * Fixed typo in pre install and post removal script.
    (Closes: Bug#942768, Bug#942784)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 22 Oct 2019 22:31:10 +0200

lazarus (2.0.2+dfsg-5) unstable; urgency=medium

  [ Paul Gevers ]
  * Revert unintended changes from commit 8354ab1 and fix control.in to prevent it
  * Missed control.in in previous commit afe3237

  [ Abou Al Montacir ]
  * Removed auto generated preinst and postrm from VCS.
  * Fixed issue related to hard linking lpk files when building arch all.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Oct 2019 22:24:03 +0200

lazarus (2.0.2+dfsg-4) unstable; urgency=medium

  * Look for lpk files in sources install directory instead of binaries one.
  * Fix postinst and postrm file to hadle upgrade correctly.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Oct 2019 15:09:24 +0200

lazarus (2.0.2+dfsg-3) unstable; urgency=medium

  * Use scalable icon. Put it in right folder conforming to Debian policy.
  * Updated multiarch tags as suggested by multiarch hinter tool.
  * Include compilable version of files in lazrus-src.
    This enables user to compile Lazarus when adding lpk packages.
    It requires file diversion to avoid breaking lcl-units packaged lpk files.
    (Closes: Bug#823706, Bug#898310)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Oct 2019 01:04:45 +0200

lazarus (2.0.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Make better use of dpkg Makefile sniplets

 -- Paul Gevers <elbrus@debian.org>  Wed, 24 Jul 2019 13:51:47 +0200

lazarus (2.0.2+dfsg-1) experimental; urgency=medium

  * New upstream version 2.0.2+dfsg

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 21 May 2019 15:34:57 +0200

lazarus (2.0.0+dfsg-2) unstable; urgency=medium

  [ Graham Inggs ]
  * Expect failure in lazdebugtestbase.lpk

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 01 Mar 2019 14:50:21 +0100

lazarus (2.0.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Refresh arm_qt.patch
  * Refresh patch timestamps
  * Raise dependency on libqt5pas
  * Add fix-ftbfs-in-documentation-2.0.0.patch

 -- Paul Gevers <elbrus@debian.org>  Sun, 17 Feb 2019 22:16:05 +0100

lazarus (2.0.0~rc2+dfsg-2) experimental; urgency=medium

  * Rework autopkgtest to try all packages but only fail on unexpected
    failures

 -- Paul Gevers <elbrus@debian.org>  Sat, 10 Nov 2018 22:45:57 +0100

lazarus (2.0.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Allow aggpas component back in as only one file really has the
      problematic license, but that is not used anyways
  * Add arm_qt.patch from upstream to fix the arm builds
  * Refresh patch timestamps

 -- Paul Gevers <elbrus@debian.org>  Fri, 09 Nov 2018 13:51:40 +0100

lazarus (2.0.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Update d/copyright
  * Refresh d/control
  * Drop add_onlinepackagemanager_mainfrm.lfm patch (fixed upstream)
  * Add fix-ftbfs-in-documentation.patch
  * Add fix-perl-shbang.patch (thanks Lintian) to comply with policy
  * Bump Standards version

 -- Paul Gevers <elbrus@debian.org>  Thu, 20 Sep 2018 20:35:54 +0200

lazarus (1.8.4+dfsg-3) unstable; urgency=medium

  [ Paul Gevers ]
  * Upstream replaced non-free icon, so don't strip it anymore

  [ Abou Al Montacir ]
  * Revert "Stop adding manually compiled flag from packages. Added
    missing units." which caused FTBFS in some packages (Closes: #906349)

 -- Graham Inggs <ginggs@debian.org>  Tue, 25 Sep 2018 14:29:34 +0000

lazarus (1.8.4+dfsg-2) unstable; urgency=medium

  * Removed the need to define FPCDIR for building Lazarus source package.
  * Stop adding manually compiled flag from packages. Added missing units.
    Thanks to Alexander Kernozhitsky (Closes: Bug#898310)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 18 Jul 2018 18:16:37 +0200

lazarus (1.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Hopefully restore reproducibility again

 -- Paul Gevers <elbrus@debian.org>  Thu, 24 May 2018 09:30:04 +0200

lazarus (1.8.2+dfsg-3) unstable; urgency=medium

  * Armhf pie logic didn't work, redo.

 -- Paul Gevers <elbrus@debian.org>  Sun, 04 Mar 2018 09:07:38 +0100

lazarus (1.8.2+dfsg-2) unstable; urgency=medium

  * Remove -pie for mips, mipsel and armhf because it causes FTBFS

 -- Paul Gevers <elbrus@debian.org>  Sat, 03 Mar 2018 21:26:18 +0100

lazarus (1.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Link binaries with -pie for hardening
  * Link binaries with --as-needed to prevent unneeded dependencies
  * Minor packaging improvements

 -- Paul Gevers <elbrus@debian.org>  Fri, 02 Mar 2018 21:52:16 +0100

lazarus (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Add the right version dependency on debhelper
  * Update d/rules to use dpkg/pkg-info.mk instead of dpkg-parsechangelog
    (thanks Lintian)
  * Bump standards version to 4.1.2 (no changes)

 -- Paul Gevers <elbrus@debian.org>  Sun, 10 Dec 2017 11:27:47 +0100

lazarus (1.8.0~rc5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Forgot to also not build lcl-qt5-# on mips/mipsel
  * Update d/copyright for new files

 -- Paul Gevers <elbrus@debian.org>  Sat, 19 Aug 2017 09:37:56 +0200

lazarus (1.8.0~rc4+dfsg-1) unstable; urgency=medium

  [ Graham Inggs ]
  * Skip new failing examples in autopkgtest
  * Update debian/clean

  [ Paul Gevers ]
  * New upstream release
  * Bump standards version to 4.0.1 (no changes)
  * Don't build lazarus-ide-qt5-# on mips/mipsel
  * Use dh_missing --fail-missing iso dh_install --list-missing

 -- Paul Gevers <elbrus@debian.org>  Wed, 16 Aug 2017 21:33:24 +0200

lazarus (1.8.0~rc3+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Paul Gevers <elbrus@debian.org>  Tue, 11 Jul 2017 19:25:15 +0200

lazarus (1.8.0~rc3+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Bump standards version to 4.0.0 (no changes)

 -- Paul Gevers <elbrus@debian.org>  Sat, 08 Jul 2017 22:16:03 +0200

lazarus (1.8.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Refesh patches
  * Update upstream web-page and use https
  * Bump build depends on fpc 3.0.2 (as upstream does and to get fpc from
    experimental)
  * Improved d/watch file

 -- Paul Gevers <elbrus@debian.org>  Fri, 09 Jun 2017 14:53:46 +0200

lazarus (1.8.0~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Strip new non-dfsg icon before tar ball generation
    - Update patches
  * Update d/copyright
  * Replace stripped icon with free solution (following upstream)
  * Move lazarus-ide-qt from qt4 to qt5
  * In lazarus replace lazarus-doc Depends by Recommends

 -- Paul Gevers <elbrus@debian.org>  Fri, 02 Jun 2017 20:22:21 +0200

lazarus (1.6.4+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Paul Gevers <elbrus@debian.org>  Sat, 08 Apr 2017 06:19:10 +0200

lazarus (1.6.2+dfsg-2) unstable; urgency=medium

  * Add fix-fpdoc-crashes-on-lazarus-documentation.patch to prevent the
    lazarus-doc-1.6 package from being nearly empty (Closes: #858553)

 -- Paul Gevers <elbrus@debian.org>  Wed, 05 Apr 2017 20:46:22 +0200

lazarus (1.6.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release
  * Change package suffix logic to contain the major.minor part of the
    version number only as upstream calls this a bugfix release
  * Update d/copyright with upstream information of icons
  * Mark lazarus-doc-* and lazarus-src-* as Multi-Arch: foreign as
    suggested by the hinter
  * Refresh lintian_detected_spelling_errors.patch (partially applied
    upstream)
  * Drop Carlos Laviola from uploaders: thanks for all the fish

 -- Paul Gevers <elbrus@debian.org>  Fri, 02 Dec 2016 08:40:55 +0100

lazarus (1.6+dfsg-6) unstable; urgency=medium

  * Previous upload enabled bindnow for hardening (accidentilly not
    mentioned in this changelog).
  * Strip -specs=/usr/share/dpkg/*.specs from the LDFLAGS as fpc can't
    handle this as a linking option resulting in FTBFS on powerpc.
  * debci test was missing build-depends
  * Fix clean target as one can't add a directory to d/clean
  * Remove macho.pas entry from previous upload, it was already correctly
    mentioned

 -- Paul Gevers <elbrus@debian.org>  Mon, 14 Nov 2016 21:44:07 +0100

lazarus (1.6+dfsg-5) unstable; urgency=medium

  * d/rules+control: replace bu:version by Build-Using as Ubuntu fails to
    properly build otherwise
  * Prevent missing lpk files in components: temporary solution for
    #823706
  * Bump compat level to 10
  * Rearrange target dependencies and move dh_install to binary target to
    let --list-missing work better. Split install directories in d/rules
    for arch/indep to prevent double installation of files which would
    otherwise happen due to this rearrangement.
  * Simplify logic for lintian-overrides creation & installation
  * Add first debci test: build most *.lpk packages as shipped
  * Update d/copyright with a statement about the claimed license of
    limacho.pas

 -- Paul Gevers <elbrus@debian.org>  Fri, 11 Nov 2016 17:37:29 +0100

lazarus (1.6+dfsg-4) unstable; urgency=medium

  * Built-Using must mention a source package, not binary package
  * d/s/timestamps was not updated with the files from the typo fix cause
    lazarus to build non-reproducible

 -- Paul Gevers <elbrus@debian.org>  Sat, 18 Jun 2016 07:10:06 +0200

lazarus (1.6+dfsg-3) unstable; urgency=medium

  * Reorganize dependency tree (LP: #1584302)
  * Fix timestamp of patched file for reproducible builds
  * Track with which version of fpc lazarus was build as it is still
    linked statically
  * Bump Standards (no changes)
  * Fix typo in previous changelog
  * Drop Torsten Werner from uploaders: thanks for all the fish
  * Add lintian_detected_spelling_errors.patch

 -- Paul Gevers <elbrus@debian.org>  Fri, 10 Jun 2016 08:54:22 +0200

lazarus (1.6+dfsg-2) unstable; urgency=medium

  * Fixed a bug causing code help to handle only lower case file names.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 21 Mar 2016 09:57:15 +0100

lazarus (1.6+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release (named 1.6 iso upstream 1.6.0 to be in line with
    the release candidates)
  * Update Vcs-* fields to use https
  * Bump standards (no changes)

 -- Paul Gevers <elbrus@debian.org>  Tue, 01 Mar 2016 20:55:33 +0100

lazarus (1.6~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete fix_some_typos_found_by_lintian.patch, applied upstream

 -- Paul Gevers <elbrus@debian.org>  Wed, 27 Jan 2016 21:19:43 +0100

lazarus (1.6~rc1+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Update d/copyright
    - Refresh d/control
  * Enable '-z relro' again on arm* now that fpc is fixed, requires fpc >3
    (Closes: #798089)
  * Fix several minor issues reported by Lintian:
    - Typo in d/copyright
    - Add fix_some_typos_found_by_lintian.patch
    - Add add_sh-bang_to_sh_scripts.patch
    - Typo's in overrides

 -- Paul Gevers <elbrus@debian.org>  Mon, 11 Jan 2016 20:30:29 +0100

lazarus (1.4.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Drop requirement on fpc 3 again

 -- Paul Gevers <elbrus@debian.org>  Sun, 08 Nov 2015 05:29:39 +0100

lazarus (1.4.4+dfsg-1) experimental; urgency=medium

  [ Abou Al Montacir ]
  * Added help CSS style file to packaged files list.
  * Moved docs/* files to arch independent files default location.

  [ Paul Gevers ]
  * New upstream release
  * Drop patches applied upstream
  * Convert add-revision-inc.diff into d/rules command (it wasn't updated
    properly in the past)
  * Try to get lazarus to build reproducible
  * Build against fpc 3.0.0 while we are in experimental

 -- Paul Gevers <elbrus@debian.org>  Fri, 06 Nov 2015 12:10:56 +0100

lazarus (1.4.0+dfsg-5) unstable; urgency=medium

  * Do not write fpc linker flags when LDFLAGS is empty

 -- Graham Inggs <ginggs@debian.org>  Sat, 05 Sep 2015 21:14:30 +0200

lazarus (1.4.0+dfsg-4) unstable; urgency=medium

  * Temporarily disable '-z relro' for armel and armhf builds
    to work around problem of builds stalling (Closes: #793991)

 -- Graham Inggs <ginggs@debian.org>  Sat, 05 Sep 2015 08:31:02 +0200

lazarus (1.4.0+dfsg-3) unstable; urgency=medium

  [ Graham Inggs ]
  * Install new components in lcl-units-#:
    DateTimeCtrls, DebuggerIntf and LazDebugger* (Closes: #792437)
  * Update d/clean to prevent FTBFSx2

  [ Paul Gevers ]
  * Prepare for upload

 -- Paul Gevers <elbrus@debian.org>  Sat, 18 Jul 2015 18:00:30 +0200

lazarus (1.4.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Add pt_BR translation (Closes: #788343)
  * Fix FTBFS on ARM with patch from upstream
  * Backporting fix from upstream for lazbuild failure with doublecmd
  * Add d/gbp.conf to prevent cleaned files in the git tree

 -- Paul Gevers <elbrus@debian.org>  Sun, 12 Jul 2015 16:23:37 +0200

lazarus (1.4.0+dfsg-1) experimental; urgency=medium

  [ Abou Al Montacir ]
  * New upstream release.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.4_fixes_branch
    - The release notes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.4.0_release_notes
  * Removed old patches not needed anymore.

  [ Paul Gevers ]
  * Rewritten d/copyright to machine readable DEP5 format
  * Update some Debian translations with changes from upstream
  * Make sure the Debian translation files are always in sync with the
    pot file

 -- Paul Gevers <elbrus@debian.org>  Sun, 05 Jul 2015 21:57:47 +0200

lazarus (1.2.6+dfsg-2) unstable; urgency=medium

  * Upload 1.2.6 to unstable
  * Add libgtk2.0-dev to build depends as it was dropped from
    fp-units-gtk-*

 -- Paul Gevers <elbrus@debian.org>  Fri, 05 Jun 2015 08:09:09 +0200

lazarus (1.2.6+dfsg-1) experimental; urgency=medium

  * New upstream release
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.2_fixes_branch#Fixes_for_1.2.6_.28Merged.29
  * imagemagick fixed its issue, so undoing the workaround
  * Update patches:
    - revision string in add-revision-inc.diff
    - refresh spell_errors.diff
  * Update and extend lintian overrides (also used to suppress accepted
    discrepencies until #764067 is fixed)
  * Move maintenance to pkg-pascal-devel to document the de-facto
    situation
  * Minor cleanup in d/control(|.in)
    - Remove Breaks/Replaces not in any supported release
    - Fix several typo's 0.2.28.2
    - Add Debian version number in appropriate places
  * Don't fail clean with missing Makefiles (e.g. fpcmake not installed)

 -- Paul Gevers <elbrus@debian.org>  Fri, 13 Feb 2015 21:05:13 +0100

lazarus (1.2.4+dfsg2-1) unstable; urgency=medium

  * Strip lcl/interfaces/carbon from the tar ball as the files in
    that directory are licensed under the Apple Public Source License
    which is considered non-DFSG (Closes: #777622)
  * Add patch to also not clean the carbon dir in the relevant Makefiles
  * Add note to d/copyright that we also strip carbon

 -- Paul Gevers <elbrus@debian.org>  Thu, 12 Feb 2015 21:14:23 +0100

lazarus (1.2.4+dfsg-2) unstable; urgency=medium

  * Work around a recent change (bug 761918) in imagemagick that causes
    lazarus to FTBFS (Closes: #761536)
  * Bump standards to 3.9.6 (no changes)
  * Update d/watch to prevent old releases to sort above recent ones
  * Update lintian override for lazarus-src
  * Add lintian override for chm packages. Lintian is not nice to FreePascal
    here.
  * Add Dutch translation

 -- Paul Gevers <elbrus@debian.org>  Tue, 30 Sep 2014 20:02:18 +0200

lazarus (1.2.4+dfsg-1) unstable; urgency=low

  * New upstream release with few fixes and official support of FPC 2.6.4.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.2_fixes_branch#Fixes_for_1.2.4_.28Merged.29

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 14 Jul 2014 20:16:50 +0200

lazarus (1.2.2+dfsg1-1) unstable; urgency=medium

  * Stripped mpaslex.pp from the upstream source as it is non-dfsg free
    (requires donation if you use it commercially).
  * Raise d/compat and debhelper Build-Depends to recommended level 9 to be
    able to use d/clean
  * Document Apache license for Adroid interface
  * Make sure that lhelp gets installed and also compile the accompanying
    lcl.chm file
  * Drop dangling MacOS symlink (it points to lhelp, but that is not in a
    dependency of the lazarus-src-# package) (Closed: #748432)
  * Add keywords to desktop file (thanks lintian)
  * Add lintian override for license file in PascalScript

 -- Paul Gevers <elbrus@debian.org>  Sun, 15 Jun 2014 11:48:30 +0200

lazarus (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release with few fixes and official support of FPC 2.6.4.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.2_fixes_branch#Fixes_for_1.2.2_.28Merged.29

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 15 May 2014 23:17:51 +0200

lazarus (1.2+dfsg-1) unstable; urgency=medium

  [ Abou Al Montacir ]
  * Packaged QT4 based IDE and LCL units.

  [ Paul Gevers ]
  * New upstream release
  * Drop obsolete patches + refresh spell_errors.diff
  * Update dependencies and description for QT4 changes
  * Improve deduplication in d/rules (adds lcl-qt4 -> lcl-gtk2 -> lcl-nogui)

 -- Paul Gevers <elbrus@debian.org>  Fri, 25 Apr 2014 12:57:26 +0200

lazarus (1.2~rc2+dfsg-1) unstable; urgency=low

  [ Abou Al Montacir ]
  * New upstream pre-release.
    + Moved ideintf to components directory.
    + Added new package cairocanvas.
  * Remove usage of depreciated parameters form of find. (Closes: Bug#724776)
  * Bumped standard version to 3.9.5.
  * Clean the way handling make files generation and removal.

  [ Paul Gevers ]
  * Remove nearly obsolete bzip compression for binary packages
    (See https://lists.debian.org/debian-devel/2014/01/msg00542.html)
  * Update d/copyright for newly added dir in examples and components
  * Update Vcs-* fields with new packaging location
  * Update d/watch file to properly (Debian way) change upstreams versions
  * Prevent 46MB of package size by sym linking duplicate files
  * Patches
    - refresh to remove fuzz
    - add more Lintian found spelling errors
    - new patch to add shbang to two scripts in lazarus-src
  * Drop lcl-# from Provides list of lcl-units-#
  * Make lazarus-ide-qt4-# an arch all until it really contains stuff
  * Make all metapackages arch all as the usecase for arch any doesn't
    seem to warrant the addition archive hit
  * Fix permissions of non-scripts in lazarus-src-#

 -- Paul Gevers <elbrus@debian.org>  Sat, 22 Feb 2014 10:25:57 +0100

lazarus (1.0.10+dfsg-2) unstable; urgency=low

  * Install global links files with binary packages instead as they are now
    used to retreive installed packages.
  * Fixed VCS browser link.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 28 Jun 2013 10:05:06 +0200

lazarus (1.0.10+dfsg-1) unstable; urgency=low

  [ Abou Al Montacir ]
  * New upstream maintenance release offering many fixes improving the IDE and
    the LCL stability level.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.0_fixes_branch#Fixes_for_1.0.10
  * Use compiler configuration file to pass debian custom compiler flags.
  * Recover FTBFS on arm machines fix, dropped unintentionally when upgrading
    to 1.0.8. QT4 based LCL WS could not use QTOPIA. (Closes: Bug#712834)
  * Update copyright notice to highlight that upstream source where repacked.

  [ Paul Gevers ]
  * Update Standard to 3.9.4 (no changes needed)
  * Remove obsolete DM-Upload-Allowed
  * Update lintian overrides
  * Add myself to uploaders
  * Update Vsc-Browser URL to the browse interface

 -- Paul Gevers <elbrus@debian.org>  Sat, 22 Jun 2013 13:31:45 +0200

lazarus (1.0.8+dfsg-1) unstable; urgency=low

  [ Abou Al Montacir ]
  * New upstream major release and multiple maintenace release offering many
    fixes and new features marking a new milestone for the Lazarus development
    and its stability level.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_1.0_release_notes
      http://wiki.lazarus.freepascal.org/Lazarus_1.0_fixes_branch
  * LCL changes:
    - LCL is now a normal package.
        + Platform independent parts of the LCL are now in the package LCLBase
        + LCL is automatically recompiled when switching the target platform,
          unless pre-compiled binaries for this target are already installed.
        + No impact on existing projects.
        + Linker options needed by LCL are no more added to projects that do
          not use the LCL package.
    - Minor changes in LCL basic classes behaviour
        + TCustomForm.Create raises an exception if a form resource is not
          found.
        + TNotebook and TPage: a new implementation of these classes was added.
        + TDBNavigator: It is now possible to have focusable buttons by setting
          Options = [navFocusableButtons] and TabStop = True, useful for
          accessibility and for devices with neither mouse nor touch screen.
        + Names of TControlBorderSpacing.GetSideSpace and GetSpace were swapped
          and are now consistent. GetSideSpace = Around + GetSpace.
        + TForm.WindowState=wsFullscreen was added
        + TCanvas.TextFitInfo was added to calculate how many characters will
          fit into a specified Width. Useful for word-wrapping calculations.
        + TControl.GetColorResolvingParent and
          TControl.GetRGBColorResolvingParent were added, simplifying the work
          to obtain the final color of the control while resolving clDefault
          and the ParentColor.
        + LCLIntf.GetTextExtentExPoint now has a good default implementation
          which works in any platform not providing a specific implementation.
          However, Widgetset specific implementation is better, when available.
        + TTabControl was reorganized. Now it has the correct class hierarchy
          and inherits from TCustomTabControl as it should.
    - New unit in the LCL:
        + lazdialogs.pas: adds non-native versions of various native dialogs,
          for example TLazOpenDialog, TLazSaveDialog, TLazSelectDirectoryDialog.
          It is used by widgetsets which either do not have a native dialog, or
          do not wish to use it because it is limited. These dialogs can also be
          used by user applications directly.
        + lazdeviceapis.pas: offers an interface to more hardware devices such
          as the accelerometer, GPS, etc. See LazDeviceAPIs
        + lazcanvas.pas: provides a TFPImageCanvas descendent implementing
          drawing in a LCL-compatible way, but 100% in Pascal.
        + lazregions.pas. LazRegions is a wholly Pascal implementation of
          regions for canvas clipping, event clipping, finding in which control
          of a region tree one an event should reach, for drawing polygons, etc.
        + customdrawncontrols.pas, customdrawndrawers.pas,
          customdrawn_common.pas, customdrawn_android.pas and
          customdrawn_winxp.pas: are the Lazarus Custom Drawn Controls -controls
          which imitate the standard LCL ones, but with the difference that they
          are non-native and support skinning.
    - New APIs added to the LCL to improve support of accessibility software
      such as screen readers.
  * IDE changes:
    - Many improvments.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/New_IDE_features_since#v1.0_.282012-08-29.29
      http://wiki.lazarus.freepascal.org/Lazarus_1.0_release_notes#IDE_Changes
  * Debugger / Editor changes:
    - Added pascal sources and breakpoints to the disassembler
    - Added threads dialog.
  * Components changes:
    - TAChart: many fixes and new features
    - CodeTool: support Delphi style generics and new syntax extensions.
    - AggPas: removed to honor free licencing. (Closes: Bug#708695)
  [Bart Martens]
  * New debian/watch file fixing issues with upstream RC release.
  [Abou Al Montacir]
  * Avoid changing files in .pc hidden directory, these are used by quilt for
    internal purpose and could lead to surprises during build.
  [Paul Gevers]
  * Updated get-orig-source target and it compinion script orig-tar.sh so that
    they repack the source file, allowing bug 708695 to be fixed.

 -- Paul Gevers <elbrus@debian.org>  Sat, 08 Jun 2013 14:12:17 +0200

lazarus (0.9.30.4-7) unstable; urgency=low

  [Hiroyuki Yamamoto]
  * Added support for ppc64 architecture. (Closes: Bug#694045)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 11 May 2013 11:37:00 +0200

lazarus (0.9.30.4-6) unstable; urgency=low

  * Fixed typo in name of conflicting packages (lazarus-docs => lazarus-doc).

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 05 Mar 2013 09:15:00 +0100

lazarus (0.9.30.4-5) unstable; urgency=low

  * Fix detection of user choice about migration of configuration to
    alternatives system. (Closes: Bug#698385, Bug#696075)
  * Pass LDFLAGS to the linker, removes many lintian warnings.
  * Removed auto-generation of debian/control during build process as required
    by policy. (Closes: Bug#698827, Bug#698828)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 29 Jan 2013 19:28:00 +0100

lazarus (0.9.30.4-4) unstable; urgency=low

  * Proofread templates by debian-l10n-english list. (Closes: Bug#686207)
  * Added Slovak translation. (Closes: Bug#689044)
  * Added German translation. (Closes: Bug#689481)
  * Added Russian translation. (Closes: Bug#689195)
  * Added Danish translation. (Closes: Bug#689744)
  * Added Polish translation. (Closes: Bug#689745)
  * Added Czech translation. (Closes: Bug#689789)
  * Added Japanese translation. (Closes: Bug#689913)
  * Added Italian translation. (Closes: Bug#689970)
  * Added Portuguese translation. (Closes: Bug#689987)
  * Added Spanish translation. (Closes: Bug#690597)
  * Added French translation. (Closes: Bug#690740)
  * Added Swedish translation. (Closes: Bug#690897)
  * Detect when user refused to migrate to update-alternatives managed and
    do not handle configuration files. (Closes: Bug#696075)
  * Removed optional dependency on packages that do not exist, fixing lintian
    errors.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 08 Jan 2013 17:37:00 +0100

lazarus (0.9.30.4-3) unstable; urgency=low

  * Fix FTBFS on arm machines: QT4 based LCL WS could not use QTOPIA.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 17 Jul 2012 11:41:00 +0200

lazarus (0.9.30.4-2) unstable; urgency=low

  * Package  LCL Qt widget set units. (Closes: Bug#627345)
  * Added new packages (rx, externhelp, images). (Closes: UpstreamBug#19216)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 15 Jun 2012 20:06:00 +0200

lazarus (0.9.30.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add armhf to architecture lists (Closes: #675894)

 -- Peter Michael Green <plugwash@p10link.net>  Sun, 10 Jun 2012 07:49:14 +0000

lazarus (0.9.30.4-1) unstable; urgency=low

  * Checked conformance to policy 3.9.3 and updated standard version.
  * Override lintian warnings about spell errors false detections.
  * New upstream release few fixes and no new features officially supporting
    FPC 2.6.0.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_0.9.30_fixes_branch#Fixes_for_0.9.30.3
  * LCL changes:
    - Added csCaptureMouse to TScrollBox for compatibility with Delphi.
    - GTK2:
        + Fixed issue with GetWindowRect.
        + Fixed various odd behaviour related to different window managers.
  * IDE changes:
    - Fixed issue with trimming trailing spaces.
  * Debugger / Editor changes:
    - Few fixes in debugger and code tool including memory leaks
    - Focus on editor after hitting a breakpoint.
  * Components changes:
    - TAChart: Few fixes in TAChart component
    - SynEdit: Fixed synchronized mode
    - CodeTool: Fix writing and reading streamed properties.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 20 Mar 2012 17:52:45 +0100

lazarus (0.9.30.2-3) unstable; urgency=low

  * Set priority according to version in lcl-utils and lazarus-ide-gtk so that
    newer version is automatically selected. (Closes: Bug#656913)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 15 Feb 2012 18:49:00 +0100

lazarus (0.9.30.2-2) unstable; urgency=low

  * Set priority according to version so that newer version is automatically
    selected. (Closes: Bug#656913)
  * Fix target specific compiler flags causing FPC-2.6.0 to abort compilation.
    (Closes: Bug#656251)
  * Fix hang on IDE and LCL applications on startup when using glib >= 2.31.
    (Closes: Bug#659209)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 09 Feb 2012 16:28:00 +0100

lazarus (0.9.30.2-1) unstable; urgency=low

  * New upstream release many fixes and new features.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_0.9.30_fixes_branch#Fixes_for_0.9.30.1
  * LCL changes:
    - Many fixes for Qt widgetset
  * IDE changes:
  * Debugger / Editor changes:
    - Many fixes in debugger and code tool
  * Componenets changes:
    - Many fixes in TAChart componenet

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 23 Nov 2011 16:05:00 +0100

lazarus (0.9.30-3) unstable; urgency=low

  * Enable IDE to rebuild itself when needed. (Closes: Upstream Bug#19074)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 06 Jun 2011 23:41:00 +0200

lazarus (0.9.30-2) unstable; urgency=low

  * Added lclbase.lpk to lcl-units package. (Closes: Upstream Bug#18656)
  * Fixed issue preventing using ~ in Debian version. (Closes: Bug#622665)
  * Checked conformance to policy 3.9.2 and updated standard version.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 31 May 2011 10:02:00 +0200

lazarus (0.9.30-1) unstable; urgency=low

  * New upstream release many fixes and new features.
    - The detailed list of changes can be found here:
      http://wiki.lazarus.freepascal.org/Lazarus_0.9.30_release_notes
  * LCL changes:
    - Windows CE: support for clipboard and keypad devices
    - GTK2 and GTK1 interfaces are now separated.
    - GTK1 is no longer maintained by Lazarus team, but patches are accepted.
    - fpGUI: LCL interface now supports all components on the standard page.
    - QT support for Haiku
    - Layout and autosizing is now more consistent across widgetsets,
      overhead was reduced, improved cross platform layouts and complex forms.
    - Added gif reader
    - TLazIntfImage: New function AlphaBlend, which can alpha blend an intfimage
      into another, using a separate intfimage as the alpha channel.
    - Unit chart and its component TBarChar are deprecated in favor of new
      package TAChartLazarusPkg.
  * IDE:
    - Support of FPC resources: {$R *.lfm} instead of {$i unit1.lrs}.
    - The Delphi converter has improved a lot.
    - Build modes, build macros and conditionals now allows different sets of
      compiler options for projects and packages.
    - Editor improvements:
      + Hiding (Folding) of comments in Pascal source.
      + Allow Multiple Source-Editor Windows
      + Allow several Views of the same Source
      + User-defined color-schemes.
      + Identifier-completion pop-up is now resizable
    - Project compiler options can now be saved as default for new projects.
    - When opening a project only those forms are opened that were open when
      project was closed.
    - Various designer usability improvements:
      + arrow and tab keys switching between components
      + resize/move cancellation using ESC key
      + save/restore of the form window state in the project session
      + skip snapping when Alt key is pressed
    - When creating a new project the default unit output directory is now
      lib/$(TargetCPU)-$(TargetOS). Target file name is project1. This has no
      impact on old projects.
    - IDE now preserves the line endings of source files (it uses the line
      ending of the first line, it does not preserve mixed line endings).
    - You can now quickly switch between several versions / branches of packages
      by defining the preferred package file name for each dependency.
    - You can now use the IDE directive %H- to hide individual hints, notes and
      warnings.
    - The IDE can be made dockable. Install either the package AnchorDockingDsgn
      or EasyDockMgrDsgn.
    - The ToDo list was moved to a separate package: todolistlaz.lpk.
    - Czech translation added
  * Debugger / Editor:
    - Inserted/Deleted lines during a debug session are now tracked. Breakpoints
      and Execution-line are adjusted.
    - Step out command implementation (by Flavio)
    - Show execution point command
    - Single Instruction step (over/into)
    - UI Improvements: Toolbars for Watches, Breakpoints, Disassembler
    - Watches: Enabled display formats (mem-dump, Hex, Default, ..)
    - Disassembler added navigation: jump to address / return to execution point
    - Improved reaction speed: It is possible to continue stepping without
      having to wait for all watches, locals, ... to be evaluated
  * Components:
    - IDE got some options to become easier for students and pupils and there is
      a new package EducationLaz adding options to hide complex parts of the IDE
    - New AggPas (Anti Grain Geometry for Object Pascal) package, now supporting
      FPImage and LCL. AggPas highlights: Subpixel rendering, 8-bit alpha
      channel, paths, platform independent rendering using pure pascal
    - TAChart update, including: stacked and rotated series, 3 new types of
      series, axis transformations, interactive tools, 6 new demos and other
      improvements
  * Added metapackges in order to ease upgrading and fixed dependcy rules.
    (Closes: Bug#620108)
  * Test for dh_input exit status 30 as this is a normal exit status which just
    informs that the question was not displayed because of its priority.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 05 Apr 2011 19:20:00 +0200

lazarus (0.9.28.2-13) unstable; urgency=low

  * Added support for multiple version coexistence in the same system. This will
    allow installing multiple versions of Lazarus in the same system and choose
    a default using update-alternatives.
  * Included *.lfm files into the binary packages as these are used by the
    compiler at the link stage.
  * Factorized code in code tools FindXXXXNode functions.
  * Included *.lpk files in the binary packages and mark them as manually
    compiled to avoid recompiling them when used.
  * Added build dependency constraint on FPC version to be 2.4.0 as it won't
    build using other FPC versions.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 08 Mar 2011 19:14:00 +0100

lazarus (0.9.28.2-12) unstable; urgency=low

  * Fixed a bug causing safe-upgrade to fail because lazarus-ide-qt4 is
    installed to fix dependencies of lazarus-ide and that Qt based IDE is not
    packaged. The lazarus-ide-qt4 now installs the GTK based IDE by depending
    on lazarus-ide-gtk until Qt IDE gets packaged. (Closes: Bug#594611)
  * Removed lintian warning by adding lcl-gtk2 as first alternative for
    lcl-units dependency list.
  * Bumped standard version to 3.9.1.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 30 Aug 2010 13:32:00 +0100

lazarus (0.9.28.2-11) unstable; urgency=low

  * Fixed scrolling window under GTK implementing ScrollBy method.
  * Changed new release scanning to be uscan based.
  * Fixed dependency issue : lcl-units depends on lcl-gtk but was providing it
    causing lcl-gtk2 not being installed. (Closes: Bug#580557, Bug#579128)
  * Fixed logic bug in code tools when adding published field of a class.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 20 Jun 2010 16:53:00 +0100

lazarus (0.9.28.2-10) unstable; urgency=low

  * Fixed memory leak in GTK based lazarus IDE binary  (Closes: Bug#571997)
  * Fixed crach by avoiding trapping some FPU exceptions which occurs in linked
    C code. (Closes: Bug#571998)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 09 Apr 2010 00:23:00 +0100

lazarus (0.9.28.2-9) unstable; urgency=low

  * Bumped standard version.
  * Split lazarus-ide package into the following packages in order to reduce
    its size and afford more widgetsets support. (Closes: Bug#553519)
      + lazarus-ide-gtk2 : contains IDE linked to GTK+2 backend
      + lazarus-ide-qt4  : contains IDE linked to Qt4 backend
      + lazarus-ide : contains lazarus launcher and depending on either above
        packges
      + lcl-utils: contains command line tools (lazbuild, ...)
      + lcl-units : contains widgetset independent binary units depending on
        either follwing packages
      + lcl-nogui : contains NOGUI backend based LCL interface units
      + lcl-gtk2 : contains GTK+2 backend based LCL interface untis
      + lcl-qt4 : contains Qt4 backend based LCL interface units
      + lcl : metapackage depending on lcl-units and lcl-utils.
  * Fixed help for FPC identifiers applying a ptch from upstream and filled
    correct FPC source directory. (Closes: Bug#507523)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 15 Mar 2010 20:02:00 +0100

lazarus (0.9.28.2-8) unstable; urgency=low

  * Added dependency on ${misc:Depends} as required for packages using
    debhelper.
  * Removed pre-dependency on dpkg (>= 1.10.24).

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 25 Jan 2010 23:48:00 +0100

lazarus (0.9.28.2-7) unstable; urgency=low

  * Removed image files from sources as these are not used by the code tool.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 07 Jan 2010 19:04:00 +0100

lazarus (0.9.28.2-6) unstable; urgency=low

  * Removed lintian warnings : empty directories in source package.
  * Removed lintian warnings : Fixed spell errors.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 06 Jan 2010 23:05:00 +0100

lazarus (0.9.28.2-5) unstable; urgency=low

  * Included quilt.make in rules file. (Closes: Bug#538553)
  * Build against fpc_2.2.4-5. (Closes: Bug#563236)
  * Removed lintian warnings.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 03 Jan 2010 19:18:00 +0100

lazarus (0.9.28.2-4) unstable; urgency=low

  * Use default X web browser instead of epiphany.
  * Fixed online help default page URL.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 29 Nov 2009 22:52:00 +0100

lazarus (0.9.28.2-3) unstable; urgency=low

  * Added missing online help default page. (Closes: Bug#537576)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 14 Nov 2009 10:08:00 +0100

lazarus (0.9.28.2-2) unstable; urgency=low

  * Fixed default help configuration.
  * Fixed short description. (Closes: Bug#533420)
  * Put sources back to Lazarus directory.
  * Fixed strict dependency issue of lazarus package on lazarus-ide package
    making package lazarus not installable. (Closes: Bug#555649)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 09 Nov 2009 09:12:00 +0100

lazarus (0.9.28.2-1) unstable; urgency=low

  * Fixed compiling a test application without saving (missing project1.lrs)
  * Fixed Lazarus directory set by deb package
  * Fixed conflicting key definitions related to persistent block
  * Fixed quick paste selection
  * Fixed endless auto sizing loop when opening project (issue 14862)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 02 Nov 2009 18:54:00 +0100

lazarus (0.9.28-1) unstable; urgency=low

  * Allow Debian maintainers (DM) to upload.
  * Applied patch from BTS fixing short description. (Closes: Bug#533420)
  * Bumped standard version, removed legacy dh_desktop, added README.source and
    fixed dependencies.
  * New upstream version 0.9.28. (Closes: Bug#551724)
  * LCL now uses gtk2 as default widgetset on Linux and BSD
  * Windows CE: Implemented TCalendar, TFloatSpinEdit, TOpenDialog and
    TSaveDialog
  * TFrame support. Visually nesting in the IDE.
  * TMonitor class: multi-monitor support
  * New components: TShellTreeView, TShellListView and TFilterComboBox
  * Refactoring of LCL reduced minimum size of executables by about 15%
  * New IDE options dialog combines environments, editor, codetools, code
    explorer, debugger and help options.
  * Application icon has been added to the Project Options
  * Many source editor improvements like display of "double width" fonts
    (Eastern, Japanese, Chinese, Arabic, ...), better code folding,
    highlighting, syncro editing, persistent blocks ...
  * Codetools: removing empty methods, block completion, update references when
    renaming a unit
  * Debugger: assembler windows, easier exception handling, breakpoint
    properties

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 25 Oct 2009 11:59:00 +0100

lazarus (0.9.26.2-2) unstable; urgency=low

  * Fixed typos and errors reported by Lintian.
  * Fixed mouse event handling on scrolled controls.
  * Fixed painting of scrolled windows.
  * Updated FPC version required for building and using Lazarus to fix crash
    on power PC architecture.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 05 Jun 2009 23:49:00 +0200

lazarus (0.9.26.2-1) unstable; urgency=low

  * New upstream version.
  * Used GTK2 and dropped GTK1 dependency. (Closes: Bug#521326)
  * Added LCL docs to lazarus-doc package.
  * Fixed bug in code tool making LFM tree search for properties not working.
  * Made mouse events propagated from controls to their parents until handled.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 17 Feb 2009 16:17:00 +0100

lazarus (0.9.26-4) unstable; urgency=low

  * Removed .pc directory in clean target to avoid a lintian warning.
  * Fixed bugs in tray icon.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 14 Dec 2008 14:40:00 +0100

lazarus (0.9.26-3) unstable; urgency=low

  * Added man files for all provided binaries. (Closes: #500858)
  * Remove auto-generated make files in clean target to avoid lintian warning.
    (Closes: Bug#508025)
  * Removed non standard entry from desktop file.
  * Used quilt as patch system instead of dpatch.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 09 Dec 2008 13:09:00 +0100

lazarus (0.9.26-2) unstable; urgency=low

  * Removed taborder binary from lazarus-src which removes a lintian warning.
  * Fixed build of arch independent packages as debian/files was removed before
    they were created.
  * replaced depreciated dh_clean -k by dh_prep.
  * Fixed syntax error in script file.
  * Fixed minor issues in man pages from upstream.
  * Removed leading "Lazarus is a" from Description field. (Closes: #502786)
  * Added svn2revision to packaged binaries needed by Lazarus when rebuilding
    itself after installation of new components. (Closes: #501049)
  * Added contributers list to lazarus-ide packages as they are needed by the
    about dialog.
  * Fixed dependencies in rules file speeding package generation by avoiding
    rebuilding binaries up to four times.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 04 Nov 2008 00:22:00 +0100

lazarus (0.9.26-1) unstable; urgency=low

  [ Abou Al Montacir ]
  * New upstream version.
  * Fixed lintian error due to initial sources containing debian/files.
  * Fixed find expression precedence in clean target.
  * About dialog box will display version with Debian build number and the
    upstream svn revision.

  [ Torsten Werner ]
  * Add Build-Depends: fp-utils (ships fpcmake).
  * Bump up Standards-Version: 3.8.0 (no changes).
  * Build orig tarball from subversion export because the files at sourceforge
    are broken.

 -- Torsten Werner <twerner@debian.org>  Sun, 12 Oct 2008 12:09:58 +0200

lazarus (0.9.24-0-12) unstable; urgency=low

  * User is now able to rebuild the IDE to add his own components.
    (Closes: #490162)
  * Removed false warning on read only sources when recompiling end used local
    copy.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 25 Aug 2008 17:42:00 +0200

lazarus (0.9.24-0-11) unstable; urgency=low

  * Add patch 07_sh_using_tmp.patch.dpatch to avoid /tmp file vulnerabilities.
    (Closes: #496377)

 -- Torsten Werner <twerner@debian.org>  Sun, 24 Aug 2008 22:23:18 +0200

lazarus (0.9.24-0-10) unstable; urgency=low

  [ Abou Al Montacir ]
  * Fixed clean target.
  * Added system wide default configuration file.
  * Fixed comments in dpatch files.
  * Fixed compilation error with FPC 2.2.2.

  [ Torsten Werner ]
  * Built against fpc 2.2.2. (Closes: #495688)

 -- Torsten Werner <twerner@debian.org>  Wed, 20 Aug 2008 01:03:50 +0200

lazarus (0.9.24-0-9) unstable; urgency=low

  [ Torsten Werner ]
  * Fix email address of Abou Al Montacir in debian/control.

  [ Abou Al Montacir ]
  * Adapted FPCDIR default value to new fpc-source directory.
    (Closes: #484195)
  * Added support of multiple FPC installed releases.
  * Added verbose option to dpatch.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 29 May 2008 01:05:28 +0200

lazarus (0.9.24-0-8) unstable; urgency=low

  [ Abou Al Montacir ]
  * Added patch from upstream fixing compilation using lazbuild by making it
    generating LRS files from LFM files.
  * Added gdb as recommended package. (closes: #477293)
  * Call fpcmake with -Tall to allow user rebuilding Lazarus from lazarus-src
    package on all supported targets. This results in making build depending on
    package fpc-source (>= 2.2.0-dfsg1-7). (closes: #477361)
  * Updated build dependency on compiler setting fp-compiler (>=2.2.0-dfsg1-8)
    and fpc-source (>= 2.2.0-dfsg1-8)
  * Added fp-docs to list of package lazarus suggest packages.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 30 Apr 2008 14:17:06 +0200

lazarus (0.9.24-0-7) unstable; urgency=low

  [ Abou Al Montacir ]
  * Added a link of lazbuild tool into /usr/bin
  * Added man pages for binaries.
  * Fixed compilation of printer support component.

  [ Torsten Werner ]
  * Add Abou Al Montacir to Uploaders.

 -- Torsten Werner <twerner@debian.org>  Sun, 20 Apr 2008 17:06:38 +0200

lazarus (0.9.24-0-6) unstable; urgency=low

  [ Abou Al Montacir ]
  * Split lazarus package into sevaral packages
    + lazarus-ide : for IDE and binary files
    + lazarus-src : for source files
    + lazarus-doc : for documentation
    + lazarus : a metapackage depending on previous packages

  [ Torsten Werner ]
  * Add Build-Depends: fp-units-gtk2, fp-units-i386 [i386].
  * Several lintian cleanups.
  * Make sure that uscan will clean up the tarball for the next upstream
    version.

 -- Torsten Werner <twerner@debian.org>  Sat, 08 Mar 2008 19:28:47 +0100

lazarus (0.9.24-0-5) unstable; urgency=low

  * Fixed 'make distclean' to ensure all generated files are deleted.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 16 Feb 2008 10:47:12 +0100

lazarus (0.9.24-0-4) unstable; urgency=low

  * Ignore errors from fpcmake; we did not call this in older versions of the
    package anyway. (Closes: #458590)
  * Add FPC=fpc to 'make distclean', too.

 -- Torsten Werner <twerner@debian.org>  Wed, 02 Jan 2008 17:22:26 +0100

lazarus (0.9.24-0-3) unstable; urgency=low

  [ Torsten Werner ]
  * Use fpc-depends to calculate dependencies more accurately.
  * Add Recommends: fpc-source. (Closes: #413806)
  * Use bzip2 for compressing the binary package and add
    Pre-Depends: dpkg (>= 1.10.24).
  * Change Standards-Version: 3.7.3.
  * Refer to GPL-2 and LGPL-2 in debian/copyright.

  [ Abou Al Montacir ]
  * Include README.Debian file for docs
  * Run fpcmake before building to ensure correct target dependencies
  * Include Copyright file
  * Set compat level to 5

 -- Torsten Werner <twerner@debian.org>  Sat, 29 Dec 2007 23:05:42 +0100

lazarus (0.9.24-0-2) unstable; urgency=low

  * Set FPC=fpc for building lazarus.

 -- Torsten Werner <twerner@debian.org>  Tue, 04 Dec 2007 20:56:52 +0100

lazarus (0.9.24-0-1) unstable; urgency=low

  * new upstream release
  * Implement get-orig-source in debian/rules.
  * Update Vcs and Homepage headers in debian/control.
  * Add Architecture: arm.
  * Remove debian/*.ex and debian/files in clean target. (Closes: #451056)
  * Add and fix debian/menu.
  * Do not ignore errors of 'make distclean'.

 -- Torsten Werner <twerner@debian.org>  Mon, 03 Dec 2007 22:54:10 +0100

lazarus (0.9.22-1) unstable; urgency=low

  * Add homepage to debian/control.
  * New upstream release. (Closes: #421850, #408512)
  * Remove old patch and add new symlink /usr/bin/startlazarus.
  * Add myself to Uploaders.
  * Add XS-X-Vcs-Svn header to debian/control.

 -- Torsten Werner <twerner@debian.org>  Sun,  6 May 2007 13:46:10 +0200

lazarus (0.9.20-1) unstable; urgency=low

  * New upstream release (Closes: #298726)
  * Fix Build-Dependencies (Closes: #303864)
  * Fix desktop file (Closes: #329071, #275802)
  * debian/rules:
    + Remove unnecessary comments
    + Use dpatch to apply patches

 -- Varun Hiremath <varunhiremath@gmail.com>  Sun, 14 Jan 2007 12:20:05 +0530

lazarus (0.9.17-1) experimental; urgency=low

  * Snapshot.

 -- Micha Nelissen <micha@neli.hopto.org>  Fri, 21 Jul 2006 16:09:00 +0200

lazarus (0.9.2-2) experimental; urgency=low

  * First upload to Debian.  (Closes: #253907)

 -- Carlos Laviola <claviola@debian.org>  Thu,  9 Sep 2004 23:42:37 -0300

lazarus (0.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Carlos Laviola <claviola@debian.org>  Tue, 24 Aug 2004 00:09:02 -0300

lazarus (0.9.1.5+cvs.20040818-1) unstable; urgency=low

  * Initial official release.

 -- Carlos Laviola <claviola@debian.org>  Wed, 18 Aug 2004 13:15:25 -0300

lazarus (0.9.1beta-0) unstable; urgency=low

  * Initial Release.

 -- Pierre Gillmann <pierre@kiste-pierre.invalid>  Sun, 30 May 2004 18:17:14 +0200
